:root {
    --input-padding-x: 1.5rem;
    --input-padding-y: .75rem;
}

body,
html,
.container {
    height: 100%;
}

body {
    background-image: url('../img/userx2.png'), linear-gradient(to right, #1C3763, #BB3B56);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}

.card-signin {
    background: none;
    border: 0;
}

.card-signin .card-title {
    margin-bottom: 1rem;
    font-family: 'Noto Serif', serif;
    font-weight: 700;
    font-size: 1.5rem;
    color: #ffffff;
}

.card-signin .card-body {
    padding: 2rem;
}

.form-signin {
    width: 100%;
}

.form-signin .btn {
    background-color: #1C3763;
    font-size: 80%;
    border: none;
    border-radius: 5rem;
    letter-spacing: .1rem;
    font-weight: normal;
    padding: 1rem;
    transition: all 0.2s;
}

.link-text {
    color: #ffffff;
    font-family: 'Open Sans', sans-serif;
    font-weight: normal;
    font-size: 11px;
    line-height: 1.5rem;
    text-decoration: underline;
}

.form-signin p {
    color: #ffffff;
    font-family: 'Open Sans', sans-serif;
    font-weight: normal;
    font-size: 11px;
    cursor: default;
}

.form-label-group {
    position: relative;
    margin-bottom: 1rem;
}

.form-label-group input {
    height: auto;
    border-radius: 2rem;
    background: transparent;
    color: #ffffff;
}

.form-label-group input:focus {
    background: transparent;
    color: #ffffff;
    cursor: text;
}

.form-label-group > input,
.form-label-group > label {
    padding: var(--input-padding-y) var(--input-padding-x);
    background: transparent;
    cursor: text;
    border: 2px solid;
}

.form-label-group > label {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    margin-bottom: 0;
    font-family: 'Titillium Web', sans-serif;
    font-weight: normal;
    letter-spacing: .5px;
    line-height: 1.5;
    color: #ffffff;
    border: 1px solid transparent;
    border-radius: .25rem;
    transition: all .1s ease-in-out;
    cursor: text;
}

.form-label-group input::-webkit-input-placeholder {
    color: transparent;
}

.form-label-group input:-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-moz-placeholder {
    color: transparent;
}

.form-label-group input::placeholder {
    color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
    padding-top: calc(var(--input-padding-y) + var(--input-padding-y) * (2 / 3));
    padding-bottom: calc(var(--input-padding-y) / 3);
    color: #ffffff;
}

.form-label-group input:not(:placeholder-shown) ~ label {
    padding-top: calc(var(--input-padding-y) / 3);
    padding-bottom: calc(var(--input-padding-y) / 3);
    font-size: 12px;
    color: #3862AF;
    font-weight: 700;
}


/* Fallback for Edge
-------------------------------------------------- */

@supports (-ms-ime-align: auto) {
    .form-label-group > label {
        display: none;
    }

    .form-label-group input::-ms-input-placeholder {
        color: #ffffff;
        font-family: 'Titillium Web', sans-serif;
        font-weight: normal;
        letter-spacing: .5px;
    }
}

/* Fallback for IE
-------------------------------------------------- */

@media all and (-ms-high-contrast: none),
(-ms-high-contrast: active) {
    .form-label-group > label {
        display: none;
    }

    .form-label-group input:-ms-input-placeholder {
        color: #ffffff;
        font-family: 'Titillium Web', sans-serif;
        font-weight: normal;
        letter-spacing: .5px;
    }
}
